--Fish Lord

require "source/world"
require "source/player"
require "source/animator"
require "source/tools"
require "source/iosys"

function love.load()
	print([[For some reason you're using Map Time! 
Here are some controls:
F1: Tile info tool (Shows somewhat useless x,y tile info)
F2: Tile manipulator tool(Right click for abyss tile, Left click for MORE GRASS)
F5: Generate 250x250 map with random flowers

WASD to move
Shift for WARP-STYLE DEBUG SPEED

Spacebar: Save "map.mtf" to desktop
Backspace: Load "map.mtf" from desktop]])

	love.graphics.setBackgroundColor(20,20,100)
	love.graphics.setLineStyle("rough")
	love.graphics.setDefaultFilter("nearest","nearest",1)
	Buffers = {world,player,tools,iosys}
	bufferInit()
end

function bufferInit()
	for i,Buffer in ipairs(Buffers) do
		Buffer.init()
	end
end


function love.keypressed(key)
	for i,Buffer in ipairs(Buffers) do
		if Buffer.keypress(key) then
		end
	end
end


function love.mousepressed(x,y,button)
	for i,Buffer in ipairs(Buffers) do
		Buffer.mousepress(x,y,button)
	end
end


function love.update(dt)
	if dt < 1/60 then love.timer.sleep(1/60 - dt) end --limit fps
	for i,Buffer in ipairs(Buffers) do
		if Buffer.update(dt) then
		end
	end
end


function love.draw()
	for i,Buffer in ipairs(Buffers) do
		love.graphics.push()
		love.graphics.scale(1,1)
		if Buffer.draw() then
		end
		love.graphics.pop()
	end
	
end



