--Contains functions and whatever for the user 

player = {}

function player.init()
	player.sprite = love.graphics.newImage("source/data/player.png")
	player.spriteSheet = love.graphics.newImage("source/data/playerSheet.png")
	player.anims = animator.load(player.spriteSheet)
	player.frame = player.anims.down
	player.fps = 0.2
	player.x = 0
	player.y = 0
	player.camX = player.x
	player.camY = player.y
	player.walkSpeed = 100
	player.speed=player.walkSpeed
	player.sprintSpeed = 1000
	player.moving = false
	player.aim = "down"
	player.scrollDist = 20


	function player.move(dt)
		local moveDelta = player.speed*dt
		if love.keyboard.isDown("w") then
			player.y = player.y-moveDelta 
			player.aim="up" 
		end
		if love.keyboard.isDown("a") then 
			player.x = player.x-moveDelta
			player.aim="left"
		end
		if love.keyboard.isDown("s") then 
			player.y = player.y+moveDelta 
			player.aim="down"
		end
		if love.keyboard.isDown("d") then 
			player.x = player.x+moveDelta 
			player.aim="right" 
		end
		if love.keyboard.isDown("lshift") then
			player.speed=player.sprintSpeed
		else 
			player.speed=player.walkSpeed 
			player.fps=0.2
		end
		
		
		--Camera controls
		world.setCamera(player.camX,player.camY,dt)
		if love.keyboard.isDown("up") then player.camY = player.y-300 end
		if love.keyboard.isDown("left") then player.camX = player.x-300 end
		if love.keyboard.isDown("down") then player.camY = player.y+300 end
		if love.keyboard.isDown("right") then player.camX = player.x+300 end
		if not love.keyboard.isDown("up","down","left","right") then
			player.camX = player.x
			player.camY = player.y
		end

		--Animation timer
		if love.keyboard.isDown("w","a","s","d") then --eventually will need to add/change animating conditions later
			player.moving=true
		else
			player.moving=false
		end
		if player.moving==true then
			if player.anims.timer>player.fps*2 then player.anims.timer=0 end
			player.anims.timer=player.anims.timer+dt
		else player.anims.timer=0 end
	end

end


------Standard callbacks
function player.update(dt)
	player.frame=animator.animate(player,dt)
	player.move(dt)
	if love.keyboard.isDown(" ") then
		world.ox=world.ox+1
	end
end


function player.draw()
	love.graphics.draw(player.spriteSheet,player.frame,player.x+world.ox,player.y+world.oy)
end


function player.keypress(key)
	
	
end


function player.mousepress()
	
end

