--Map Time tool functions, needs world.lua to be initialized in order to function (also needs a ton of work :\)

tools = {}

function tools.init()

	tools = {
		cellInfo={active = false};--[F1]:Shows cell information
		tiler={active = false;
			tiles=world.tiles;
			setTile=nil;};
		activeCell = {};
	}


	function tools.dialog(textTable,x,y) --Draw a box with text in it
			local cx = x --relative cursor coords
			local cy = y
			local fontSize=15
			love.graphics.setColor({128,80,180})
			love.graphics.rectangle("fill",x-3,y,200,#textTable*fontSize)
			love.graphics.setColor({255,255,255})
			for i=1,#textTable do 
				love.graphics.print(textTable[i],cx,cy)
				cy=cy+fontSize
			end
			love.graphics.setColor({255,255,255})
	end

	
	 function tools.cellInfo.get(cell) --Makes a table of strings from cell
			if cell.x ~= nil then
				return {
					string.format("x:%i y:%i",cell.x,cell.y);
					string.format("cellX: %i cellY: %i",cell.x/32,cell.y/32);
				}
			else
				return {"NONE"}
			end
	end
	

	function tools.tiler.placeTile(cell,tile)
		if love.mouse.isDown("l") then 
			tools.activeCell.sprite = "grass"
		elseif love.mouse.isDown("r") then
			tools.activeCell.sprite = "abyss"
		end
	end
	
	function tools.tilerHUD()
		local x = 0
		for i,tile in pairs(tools.tiler.tiles)do
			love.graphics.draw(tile,x*32,0)
			x=x+1
		end
	end



end

------Standard callbacks
function tools.update(dt)
	for i,cell in ipairs(world.renderMap) do --Loop through the cells
		if love.mouse.getX()-world.ox>cell.x and love.mouse.getX()-world.ox<cell.x+32 and love.mouse.getY()-world.oy>cell.y and love.mouse.getY()-world.oy<cell.y+32 then
			tools.activeCell = cell
		end
	end
	
	if tools.activeCell~=nil then
		
		if tools.tiler.active then
			tools.tiler.placeTile(tools.activeCell,tools.tiler.tiles)
		end
	
	end


end


function tools.draw()
	if tools.cellInfo.active then
		tools.dialog(tools.cellInfo.get(tools.activeCell),love.mouse.getX()+20,love.mouse.getY())
	end
	if tools.tiler.active then
		tools.tilerHUD()		
	end

end


function tools.keypress(key)
	if key == "f1" then
		if tools.cellInfo.active == true then
			tools.cellInfo.active = false
		else 
			tools.cellInfo.active= true
		end
	end
	
	if key == "f2" then
		if tools.tiler.active == true then
			tools.tiler.active = false
		else 
			tools.tiler.active= true
		end		
	end
	
	if key=="f5" then
		world.map =	world.mapGen(500,500,32)
	end
	
	if key=="delete" then
		world.map = {{}}
	end

end


function tools.mousepress()

end

